package com.jsowell.pile.service.impl;

import java.util.List;

import com.jsowell.common.util.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.jsowell.pile.mapper.DockingPlatformConfigMapper;
import com.jsowell.pile.domain.DockingPlatformConfig;
import com.jsowell.pile.service.IDockingPlatformConfigService;

/**
 * 对接平台配置信息Service业务层处理
 *
 * @author jsowell
 * @date 2023-05-27
 */
@Service
public class DockingPlatformConfigServiceImpl implements IDockingPlatformConfigService {
    @Autowired
    private DockingPlatformConfigMapper dockingPlatformConfigMapper;

    /**
     * 查询对接平台配置信息
     *
     * @param id 对接平台配置信息主键
     * @return 对接平台配置信息
     */
    @Override
    public DockingPlatformConfig selectDockingPlatformConfigById(Integer id) {
        return dockingPlatformConfigMapper.selectDockingPlatformConfigById(id);
    }

    /**
     * 查询对接平台配置信息列表
     *
     * @param dockingPlatformConfig 对接平台配置信息
     * @return 对接平台配置信息
     */
    @Override
    public List<DockingPlatformConfig> selectDockingPlatformConfigList(DockingPlatformConfig dockingPlatformConfig) {
        return dockingPlatformConfigMapper.selectDockingPlatformConfigList(dockingPlatformConfig);
    }

    /**
     * 新增对接平台配置信息
     *
     * @param dockingPlatformConfig 对接平台配置信息
     * @return 结果
     */
    @Override
    public int insertDockingPlatformConfig(DockingPlatformConfig dockingPlatformConfig) {
        dockingPlatformConfig.setCreateTime(DateUtils.getNowDate());
        return dockingPlatformConfigMapper.insertDockingPlatformConfig(dockingPlatformConfig);
    }

    /**
     * 修改对接平台配置信息
     *
     * @param dockingPlatformConfig 对接平台配置信息
     * @return 结果
     */
    @Override
    public int updateDockingPlatformConfig(DockingPlatformConfig dockingPlatformConfig) {
        dockingPlatformConfig.setUpdateTime(DateUtils.getNowDate());
        return dockingPlatformConfigMapper.updateDockingPlatformConfig(dockingPlatformConfig);
    }

    /**
     * 批量删除对接平台配置信息
     *
     * @param ids 需要删除的对接平台配置信息主键
     * @return 结果
     */
    @Override
    public int deleteDockingPlatformConfigByIds(Integer[] ids) {
        return dockingPlatformConfigMapper.deleteDockingPlatformConfigByIds(ids);
    }

    /**
     * 删除对接平台配置信息信息
     *
     * @param id 对接平台配置信息主键
     * @return 结果
     */
    @Override
    public int deleteDockingPlatformConfigById(Integer id) {
        return dockingPlatformConfigMapper.deleteDockingPlatformConfigById(id);
    }

    /**
     * 通过operatorId查询配置信息
     *
     * @param operatorId
     * @return
     */
    @Override
    public DockingPlatformConfig getInfoByOperatorId(String operatorId) {
        return dockingPlatformConfigMapper.getInfoByOperatorId(operatorId);
    }
}
